let lst = [1; 2; 4; 6; 3]

let evenValues = List.filter (fun e -> e % 2 = 0) lst

let doubleOfEvenValues = List.map (fun e -> e * 2) evenValues

printfn "%s" (doubleOfEvenValues.ToString())

//OR

lst
  |> List.filter (fun e -> e % 2 = 0)
  |> List.map (fun e -> e * 2)
  |> List.iter (printf "%d ")

printfn ""